<!DOCTYPE html>
<html lang="es">
    <head>
        <meta charset="UTF-8" />
        <meta name="viewport" content="width=device-width, initial-scale=1.0" />
        <title>Chat</title>
        <script
            src="https://code.jquery.com/jquery-3.5.1.min.js"
            integrity="sha256-9/aliU8dGd2tb6OSsuzixeV4y/faTqgFtohetphbbj0="
            crossorigin="anonymous"
        ></script>
    </head>
    
        <h1>Sala de mensajes</h1>
        <p id="parrafo">Usuarios conectados:</p>
        <ul id="users_list"></ul>

        <p>Estas conectado como:</p>
        <h3 id="usuario_actual"></h3>

        <form id="form" method="post">
            <p>Ingrese su comentario:</p>
            <input id="m" type="text" />
            <input type="submit" value="enviar" />
        </form>

        <ul id="messages"></ul>

        <script src="socket.io/socket.io.js"></script>
        <script src="./js/socket-chat.js"></script>

        <script>
            // var elem = document.getElementById('parrafo');
            // elem.innerHTML = "holi"
        </script>

        <script>
            // implementando chat con jquery:
            $(function () {
                // var socket = io();
                var socket = io({transports: ['websocket'], upgrade: false});


                $("form").submit(function (e) {
                    e.preventDefault(); // prevents page reloading
                    socket.emit("chat message", $("#m").val());
                    $("#m").val("");
                    return false;
                });

                socket.on("mensaje desde server", function (msg) {
                    console.log("MI MSG:"+ msg)
                    $("#messages").append($("<li>").text(msg));
                });
            });
        </script>
        
        <script>
            // LAB 14 
            socket.on("mensajePrivado",function(mensaje){
                console.log("mensaje privado de "+ mensaje.nombre + " : \""+ mensaje.mensaje + "\"")
            })
            
            // socket.on("mensajePrivado",{para:"FHRiO4ap4JLgG_5YAAAC", mensaje:'Hola a todos2'})
            
        </script>
    </body>
</html>
